# Class MediaNoSourceError

#### Hierarchy

- MediaPlayerError
  - MediaNoSourceError

#####
Index

### Constructors

constructor

### Properties

category
code
description

## Constructors

### constructor

- new MediaNoSourceError(): MediaNoSourceError

- #### Returns MediaNoSourceError

  Inherited from MediaPlayerError.constructor

## Properties

### `Readonly` category

category: Media = ErrorCategory.Media

Inherited from MediaPlayerError.category

### `Readonly` code

code: MediaNoSource = ErrorCode.MediaNoSource

Overrides MediaPlayerError.code

### `Readonly` description

description: "No video has been loaded." = 'No video has been loaded.'